@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
:root{
    --cor-neutra-branca:#f5f5f5;
    --cor-preta:#171717;
    --cor-copyright:#0e0c0c;
    --cor-ciza:#a8a29e;
}
*{
margin: 0px;
padding: 0px;
}
html{
scroll-behavior: smooth;
}
body{
scroll-behavior: smooth;
}
menu{
    display: flex;
    height: 70px;
    justify-content: space-around;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1); 
    z-index: 1000; 
}
.logo_getinfo img{
    width: 100px;
    height: 70px;
}
nav{
    display: flex;
    align-items: center;
    gap: 25px;
}
.a_hover {
    text-decoration: none; 
    color: #333; 
    position: relative; 
    transition: color 0.3s ease; 
}

.a_hover:hover {
    color: #F15B43; 
}
.dropdown {
position: relative;
}

#iconenav {
vertical-align: middle; 
}

/* Estilos para o menu dropdown */
.dropdown-menu {
display: none; 
position: absolute; 
top: 100%; 
left: 0;
background-color: #fff; 
border: 1px solid #ccc; 
box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15); 
z-index: 1000; 
min-width: 130px; 
}

.dropdown-menu li {
list-style: none; 

}

/* links dentro do menu dropdown */
.dropdown-menu a {
text-transform:lowercase;
display: block; 
padding: 10px 15px; 
color: #333; 
text-decoration: none; 
}

.dropdown-menu a:hover {
background-color: #f0f0f0; 
}

/*quando passa*/
.dropdown:hover .dropdown-menu {
display: block; 
}
.botao_header {
display: flex;
justify-content: center;
align-items: center;
background-color: #F15B43; 
color: #fff; 
height: 30px;
border: none; 
border-radius: 5px; 
padding: 10px 20px; 
font-size: 14px; 
cursor: pointer; 
transition: background-color 0.3s ease; 
}

.botao_header a{
color: white;
}
.botao_header:hover{
transform: scale(1.005); 
box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.3); 
}
button a {
    text-decoration: none;
}
/*header*/
header{
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(../img/mendigo.jpg);
    background-position: center;
    background-color: rgba(0, 0, 0, 0.5);
    background-blend-mode: multiply; 
    background-size: cover;
    height: 550px;
}

main{
    margin-top: 10vh;
    display: flex;
    justify-content: center;
    gap: 50px;
    flex-wrap: wrap;
    font-family: inter;
    color: rgba(0, 0, 0, 0.719);
}
main>div{
    width: 400px;
}
main h2{
    margin-bottom: 15px;
}
/*botão doar*/
.botao_doar{
    margin-top: 15vh;
    display: flex;
    justify-content: center;
}
/*itens arrecadados*/
.itens_arrecadados{
    display: flex;
    flex-direction: column;
}
/*Barra de progresso*/
.progresso_barra{
    width: 100%;
    border-radius: 20px;
    background-color:  #e0e0e0;
}
.progresso{
    height: 20px;
    border-radius: 20px;
    background-color: #ff9807;
    color: white;
    margin-top: 5px;
    margin-bottom: 10px;
}
/*valor*/
.container_valor{
    display: flex;
    justify-content: space-between;
}
.itens_arrecadados{
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.315);
    border-radius: 10px;
    padding: 20px;
}
.arrecadado{
    display: flex;
    gap: 5px;
}
button{
    border: none;
    height: 30px;
    color: white;
    background: linear-gradient(to right, #F15B43, #FE8F20); 
    border-radius: 5px;
    cursor: pointer;
}
button:hover{
    background: linear-gradient(to right,#FE8F20,#F15B43); 
    transform: scale(1.01) translateY(-1px);
    opacity: 0.9; 
}

/*Inicio do footer*/
footer{
    margin-top: 100px;
    height: 220px;
    font-family: 'Inter',sans-serif;
    letter-spacing: 1px;
    width: 100%;
    color: var(--cor-neutra-branca);
}
/*container*/
#footer_container{
    background-color: var(--cor-preta);
    display: grid;
    grid-template-columns: repeat(4,1fr);
    padding: 3rem 3.5rem;
}
/*palavra logo*/
#footer_contatos h4{
    margin-bottom: 0.75rem;
}
/*container dos icones*/
#midias_sociais{
    display: flex;
    gap: 2rem;
}
/*links e icones*/
#midias_sociais .link_midias{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.5rem;
    width: 2.5rem;
    color: var(--cor-neutra-branca);
    border-radius: 50%;
    transition: all 0.4s;
}
/*configuração do link*/
#midias_sociais .link_midias{
    text-decoration: none;
}
#midias_sociais .link_midias:hover{
    opacity: 0.8;
}
.link_midias:hover{
    transform: scale(1.1) translateY(-3px); 
    opacity: 0.9; 
}
/*tamanho do icone*/
#midias_sociais .link_midias i{
    font-size: 1.25rem;
}
/*icone em individual*/
#instagram{
    background: linear-gradient(#7f37c9, #Ff2992, #ff9807); 
}
#facebook{
    background-color: #4267b3;
}
#linkedin {
    background-color: #0A66C2; 
}

#email {
    background-color: #5f6368; 
}
/*listas*/
.footer_lista{ /*para adiconar gap */
    display: flex;
    flex-direction: column;
    list-style: none;
}
/*links da parte de listas*/
.footer_lista .link_midias{
    text-decoration: none;
    color:var(--cor-ciza) ;
    transition: all 0.4s;
}
.footer_lista .link_midias:hover{
    color: #F15B43;
}
/*copyright*/
#copyright{
    display: flex;
    justify-content: center;
    background-color:var(--cor-copyright);
    padding: 1.2rem;
}

/*media do login*/
@media screen and (max-width: 420px) {
    .container_login {
        margin-top: 50px;
    }
    .container_interno_login{
        padding: 35px;
        box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.342);
    }
    #menu_normal {
        display: none;
    }
    #menu_hamburguer {
        margin-top: 20px;
        display: block;
        cursor: pointer;
    }
    /*  quando ativado */
    .menu-aberto #menu_normal {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 70px;
        right: 0;
        background-color: #fff;
        width: 100%;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    }

    /* Links do menu no modo hambúrguer */
    .menu-aberto #menu_normal a {
    padding: 10px;
    border-top: 1px solid #f0f0f0;
    }
    .botao_header{
    margin-bottom: 25px;
    }



}
    /*Telas celulares maiores*/
    @media screen and (min-width:420px) and (max-width:767px){
        /*menu hamburguer*/
        #menu_normal {
            display: none;
        }
        #menu_hamburguer {
            margin-top: 20px;
            display: block;
            cursor: pointer;
        }
        /* Estilos para o menu hambúrguer quando ativado */
        .menu-aberto #menu_normal {
            display: flex;
            flex-direction: column;
            position: absolute;
            top: 70px;
            right: 0;
            background-color: #fff;
            width: 100%;
            box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
        }

        /* Links do menu no modo hambúrguer */
        .menu-aberto #menu_normal a {
        padding: 10px;
        border-top: 1px solid #f0f0f0;
        }
        .botao_header{
        margin-bottom: 25px;
        }

    }
    @media screen and (min-width:768px) and (max-width:1024px) {
        /*menu hamburguer*/
        #menu_hamburguer{
            display: none;
        }
        nav a{
            font-size: 0.9em;
        }
    }
    @media screen and (min-width:1025px) and (max-width:1440px) {
        /*menu hamburguer*/
        #menu_hamburguer{
            display: none;
        }
        nav a{
            font-size: 1.0em;
        }
    }
    @media screen and (min-width:1441px) {
        /*menu hamburguer*/
        #menu_hamburguer{
            display: none;
        }
        nav a{
            font-size: 1.1em;
        }
    }

    @media screen and (min-width:200px) and (max-width:420px){
        main>div{
            width: 300px;
        }
    
    }
    @media screen and (min-width:420px) and (max-width:767px){
        .texto_header h1{
            font-size: 2.1em;
        }
    }
    @media screen and (min-width:768px) and (max-width:1024px){
        .texto_header h1{
            font-size: 2.6em;
        }
    }
    @media screen and (min-width:1025px) and (max-width:1440px){
        .texto_header h1{
            font-size: 3em;
        }
    }
    @media screen and (min-width:1441px) {
        .texto_header h1{
            font-size: 3em;
        }
        .itens_arrecadados{
            height: 170px;
        }
    }

/*media query só pra footer*/
@media screen and (max-width:968px){
    #footer_container{
        grid-template-columns: repeat(2,1fr);
        gap: 2rem;
    }
}
@media screen and (max-width:626px){
    #footer_container{
        grid-template-columns: repeat(1,1fr);
        
    }
}